#
# spec file for package libaacs
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Dominique Leuenberger, Amsterdam, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libaacs
Version:        0.6.0
Release:        1.1
License:        LGPL-2.1+
Summary:        Open implentation of AACS specification
Url:            http://www.videolan.org/developers/libaacs.html
Group:          System/Libraries
Source:         ftp://ftp.videolan.org/pub/videolan/libaacs/%{version}/libaacs-%{version}.tar.bz2
Patch0:		libaacs-0.6.0-bison-2.3-compatibility.patch
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  libgcrypt-devel
BuildRequires:  pkg-config
BuildRequires:  autoconf automake libtool
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libaacs is a research project to implement the Advanced Access Content System specification.
This research project provides, through an open-source library, a way to understand how the AACS works.

%package -n libaacs0
Summary:        Open implentation of AACS specification
Group:          System/Libraries

%description -n libaacs0
libaacs is a research project to implement the Advanced Access Content System specification.
This research project provides, through an open-source library, a way to understand how the AACS works.

%package devel
Summary:        Open implentation of AACS specification - Development files
Group:          Development/Languages/C and C++
Requires:       libaacs0 = %{version}

%description devel
libaacs is a research project to implement the Advanced Access Content System specification.
This research project provides, through an open-source library, a way to understand how the AACS works.

%prep
%setup -q
%if 0%{?suse_version} < 1140
%patch0 -p1
%endif

%build
./bootstrap
%if 0%{?suse_version} < 1120
export CFLAGS="%{optflags} -std=gnu99"
%endif
%configure --disable-static
make %{?_smp_mflags}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libaacs0 -p /sbin/ldconfig

%postun -n libaacs0 -p /sbin/ldconfig

%files -n libaacs0
%defattr(-, root, root)
%doc COPYING
%{_bindir}/aacs_info
%{_libdir}/libaacs.so.0
%{_libdir}/libaacs.so.0.*

%files devel
%defattr(-, root, root)
%{_libdir}/libaacs.so
%{_libdir}/pkgconfig/libaacs.pc
%{_includedir}/%{name}/

%changelog
* Sat Mar 16 2013 obs@botter.cc
- update to 0.6.0
  * Added reading of PMSN (Pre-recorded Media Serial Number)
  * Fix resource leak
  * Use proper paths to search for keydb and friends on Darwin.
  * Build fixes and improvements
- 0.5.0
  * Support for Mac OS X using IOKit
  * Fix AACS detection failure in some Win32 systems
- 0.4.0
  * Added aacs_open2() and error codes
  * Renamed libaacs_test to aacs_info
  * Added aacs_get_mkb_version()
  * Fixed memory leaks
  * Fixed buffer overflow
  * Added revocation list caching
  * Check host certificates against latest seen revocation list
- 0.3.1
  * Added configure option for libgcrypt prefix
  * Fixed building Win32 DLL
  * Fixed segfault when mount point path can't be resolved
  * Do not export internal symbols from generated parser/lexer
  * Do not distribute generated parser files
  * Check for libgpg-error. Link against it when needed.
  * Distribute README.txt
  * Added ChangeLog
* Sat Dec  3 2011 pascal.bleser@opensuse.org
- update to 0.3.0 (first proper release)
* Wed Nov 16 2011 dimstar@opensuse.org
- Initial package, git snapshot 2011-11-16.
